Cova Pay Canada
For a deeper dive into Cova Pay Canada, see Cova Pay Canada guide

Base URL: https://api.covasoft.net/covapaycanada
Endpoints
| Endpoint | Description |
|---|---|
POST v1/companies/{companyId}/locations/{locationId}/ecomm-payment | The first step toward taking an integrated online payment |
GET v1/companies/{companyId}/ecomm-payments/{sessionId} | Returns the status of an integrated online payment |
POST v1/companies/{companyId}/locations/{locationId}/ecomm-refund | Refund a full or partial payment |
GET v1/companies/{companyId}/ecomm-refunds/{id} | Returns the status of an integrated online refund. |
POST v1/companies/{companyId}/locations/{locationId}/ecomm-payment
The first step toward taking an integrated online payment
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId | Cova company identifier | integer | Required |
| locationId | Cova location identifier | integer | Required |
Body Parameters
Payment session request
CovaPayCheckoutSessionRequest
| Name | Description | Type | Additional information |
|---|---|---|---|
| OrderReference | Unique string, such as the customer facing “order number” that will appear in reporting as the reference number to the transaction | string | None. |
| Amount | A positive, decimal number (with 2 decimal digits) representing the amount to charge the card | decimal number | None. |
| ReturnUrl | A URL that redirects the shopper back to your site, after payment | string | None. |
Request Formats
application/json, text/json
{
"OrderReference": "sample string 1",
"Amount": 2,
"ReturnUrl": "sample string 3"
}
Response Information
Resource Description
CovaPayCheckoutSessionResponse
| Name | Description | Type | Additional information |
|---|---|---|---|
| sessionId | Unique Cova Pay session identifier - generated | string | None. |
| id | Unique Adyen session identifier - generated | string | None. |
| sessionData | A string of encoded data needed to initialize web components | string | None. |
Response Formats
application/json, text/json
{
"sessionId": "sample string 1",
"id": "sample string 2",
"sessionData": "sample string 3"
}
GET v1/companies/{companyId}/ecomm-payments/{sessionId}
Returns the status of an integrated online payment
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId | Cova company identifier | integer | Required |
| sessionId | Unique Cova Pay payment session identifier | globally unique identifier | Required |
Body Parameters
None.
Response Information
Resource Description
CovaEcommPaymentStatusResponse
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | The original Cova Pay session id, captured from the payment session | globally unique identifier | None. |
| LocationId | The Id of the location that the payment occurred at | integer | None. |
| Status | The status of the payment | EcommPaymentStatus | None. |
| FailureReason | If the payment failed to initiate this will contain the reason it failed. Otherwise, it will be an empty string | string | None. |
| StoreReference | The Adyen Store reference for the location | string | None. |
| OrderReference | Unique string, such as the customer facing “order number” that will appear in reporting as the reference number to the transaction | string | None. |
| ReturnUrl | A URL that redirects the shopper back to your site, after payment | string | None. |
| Currency | The currency for the payment | CurrencyType | None. |
| Amount | The requested amount of the payment | decimal number | None. |
| CreatedDate | The date and time that the payment was initiated | date | None. |
| Results | A list of all card attempts made for this payment | Collection of CovaEcommPaymentResult | None. |
Response Formats
application/json, text/json
{
"Id": "e1619851-284f-483f-b6ad-defe3349f47e",
"LocationId": 2,
"Status": 0,
"FailureReason": "sample string 3",
"StoreReference": "sample string 4",
"OrderReference": "sample string 5",
"ReturnUrl": "sample string 6",
"Currency": 0,
"Amount": 7,
"CreatedDate": "2026-10-02T17:41:21.6738575+00:00",
"Results": [
{
"AuthorizationCode": "sample string 1",
"AuthorizedAmount": 2,
"Succeeded": true,
"CardType": "sample string 4",
"Last4Digits": "sample string 5",
"TransactionTime": "2026-10-02T17:41:21.6738575+00:00",
"PspReference": "sample string 7",
"ShopperEmail": "sample string 8",
"Message": "sample string 9"
},
{
"AuthorizationCode": "sample string 1",
"AuthorizedAmount": 2,
"Succeeded": true,
"CardType": "sample string 4",
"Last4Digits": "sample string 5",
"TransactionTime": "2026-10-02T17:41:21.6738575+00:00",
"PspReference": "sample string 7",
"ShopperEmail": "sample string 8",
"Message": "sample string 9"
}
]
}
Models
EcommPaymentStatus
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| InProgress | 0 | The payment session was successfully sent to the payment provider but the end user has not yet completed a payment |
| Completed | 1 | The user has completed one or more payment attempts. The payment attempts may or may not have been approved |
| Failed | 2 | The payment session failed to initiate with the payment provider Either the request was invalid or the payment provider could not be contacted |
| Abandoned | 3 | The payment session was abandoned by the user and no payment attempts were made |
POST v1/companies/{companyId}/locations/{locationId}/ecomm-refund
Refund a full or partial payment
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId | Cova company identifier | integer | Required |
| locationId | Cova location identifier | integer | Required |
Body Parameters
Payment refund request
CovaPayRefundRequest
| Name | Description | Type | Additional information |
|---|---|---|---|
| RefundReference | Recommended to supply the original order reference to assist in retailer reconciliation | string | None. |
| RequestedAmount | A positive, decimal number (with 2 decimal digits) representing the amount to refund. Must be lower than or equal to the original charge amount. Over-refund fails asynchronously and is not raised to the caller. | decimal number | None. |
| SessionId | The original Cova Pay session id, captured from the payment session | string | None. |
Request Formats
application/json, text/json
{
"RefundReference": "sample string 1",
"RequestedAmount": 2,
"SessionId": "sample string 3"
}
Response Information
Resource Description
CovaPayRefundResponse
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | Refund identifier - generated | globally unique identifier | None. |
Response Formats
application/json, text/json
{
"Id": "17b1a3fc-0a96-4341-957f-12a65dda0e52"
}
GET v1/companies/{companyId}/ecomm-refunds/{id}
Returns the status of an integrated online refund.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyId | Cova company identifier | integer | Required |
| id | Unique Cova Pay refund identifier | globally unique identifier | Required |
Body Parameters
None.
Response Information
Resource Description
CovaEcommRefundStatusResponse
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | Refund identifier - generated | globally unique identifier | None. |
| LocationId | The Id of the location that the refund occurred at | integer | None. |
| Status | The status of the refund | EcommRefundStatus | None. |
| FailureReason | If the refund failed to initiate this will contain the reason it failed. Otherwise, it will be an empty string | string | None. |
| RefundReference | Recommended to supply the original order reference to assist in retailer reconciliation | string | None. |
| PaymentId | The original Cova Pay session id, captured from the payment session | globally unique identifier | None. |
| Currency | The currency for the refund | CurrencyType | None. |
| RequestedAmount | The requested amount of the refund | decimal number | None. |
| PaymentPspReference | The Adyen PSP reference of the Ecomm payment that was refunded | string | None. |
| CreatedDate | The date and time that the refund was initiated | date | None. |
| Result | Additional information about a completed refund This will be null if the refund failed to initiate or has not yet completed | CovaEcommRefundResult | None. |
Response Formats
application/json, text/json
{
"Id": "c5e8fc1e-bfc6-4188-944f-462f69315dd8",
"LocationId": 2,
"Status": 0,
"FailureReason": "sample string 3",
"RefundReference": "sample string 4",
"PaymentId": "1aadedaa-2deb-4779-82f6-184227daaf48",
"Currency": 0,
"RequestedAmount": 6,
"PaymentPspReference": "sample string 7",
"CreatedDate": "2026-10-02T17:41:22.996446+00:00",
"Result": {
"AuthorizedAmount": 1,
"Succeeded": true,
"CardType": "sample string 3",
"Last4Digits": "sample string 4",
"TransactionTime": "2026-10-02T17:41:22.996446+00:00",
"PspReference": "sample string 6",
"Message": "sample string 7"
}
}
Models
EcommRefundStatus
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| InProgress | 0 | The refund was successfully sent to the payment provider but has not yet completed |
| Completed | 1 | The refund has completed. It may or may not have been approved |
| Failed | 2 | The refund failed to initiate. Either the request was invalid or the payment provider could not be contacted |